__gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_Tl, _Alloc >(3cxx)

NAME
__gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_Tl, _Alloc >

SYNOPSIS

#include <assoc_container.hpp>

Inherits detail::container_base_dispatch::type.

Inherited by __gnu_pbds::cc_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Comb_Hash_Fn, Resize_Policy, Store_Hash, _Alloc >, and __gnu_pbds::gp_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Comb_Probe_Fn, Probe_Fn, Resize_Policy, Store_Hash, _Alloc >.

  Protected Member Functions

basic_hash_table (const basic_hash_table &other)
template<typename T0 > basic_hash_table (T0 t0)
template<typename T0 , typename T1 > basic_hash_table (T0 t0, T1 t1)
template<typename T0 , typename T1 , typename T2 > basic_hash_table (T0 t0, T1 t1, T2 t2)
template<typename T0 , typename T1 , typename T2 , typename T3 > basic_hash_table (T0 t0, T1 t1, T2 t2, T3 t3)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 > basic_hash_table (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 > basic_hash_table (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 > basic_hash_table (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 > basic_hash_table (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 > basic_hash_table (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7, T8 t8)

Detailed Description

  template<typename Key, typename Mapped, typename Hash_Fn, typename Eq_Fn, typename Resize_Policy, bool Store_Hash, typename Tag, typename Policy_Tl, typename _Alloc>
class __gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_Tl, _Alloc >"A hashed container abstraction.

Template Parameters
    Key Key type.
    Mapped Map type.
    Hash_Fn Hashing functor.
    Eq_Fn Equal functor.
    Resize_Policy Resizes hash.
    Store_Hash Indicates whether the hash value will be stored along with each key.
    Tag Instantiating data structure type, see container_tag.
    Policy_TL Policy typelist.
    _Alloc Allocator type.

Base is dispatched at compile time via Tag, from the following choices: cc_hash_tag, gp_hash_tag, and descendants of basic_hash_tag.

Base choices are: detail::cc_ht_map, detail::gp_ht_map

Author

Generated automatically by Doxygen for libstdc++ from the source code.